import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_unifi_running_and_enabled(host):
    unifi = host.service("unifi")
    assert unifi.is_running
    assert unifi.is_enabled


def test_unifi_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://0.0.0.0:8443").is_listening
